字幕ペアの競合
この問題が発生すると、APIは422 Unprocessable Contentを返します。そのtypeはhttps://lingo.dev/docs/api/errors/vtt-pairs-repeatedです。すべてのエラーに共通する構造については、エラーとステータスコードをご覧ください。
VTTペアに、同じ原文と翻訳先ロケールの組み合わせに対して競合するエントリが含まれています:「<text>」 → pt-BR
フィールド#
レスポンス本文には、標準のメンバーであるtype、status、title、detailに加えて、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
pairs | object[] |
pairs[].text | string |
pairs[].targetLocale | string |
例#
json
{
"detail": "VTT pair contains conflicting entries for the same source text and target locale: \"<text>\" → pt-BR",
"pairs": [
{
"text": "<text>",
"targetLocale": "pt-BR"
}
],
"type": "https://lingo.dev/docs/api/errors/vtt-pairs-repeated",
"status": 422,
"title": "Conflicting subtitle pairs"
}このエラーを返すエンドポイント#
POST /v2/engines/{engineId}/glossary-terms/extract-from-vtt